@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Template:   cocoon-master
Version:    1.0.7
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/*見出し（H2など）の変更*/
/* H2 */
.article h2{
  position: relative;
  padding: 0.5em;
  background: #3ec1f9;
  color: white;
}

h2:before {
  position: absolute;
  content: '';
  top: 100%;
  left: 0;
  border: none;
  border-bottom: solid 15px transparent;
  border-right: solid 20px rgb(149, 158, 155);
}
  
/* H3 */
.article h3{
  padding: 0.4em 0.5em;/*文字の上下 左右の余白*/
  color: white;/*文字色*/
  background: #3ec1f9;/*背景色*/
  border-left: solid 5px #3ec1f9;/*左線*/
  border-bottom: solid 3px #3ec1f9;/*下線*/
}

/*目次のカスタマイズ*/

.toc{
	background:#ffffff;
	border:none;
	display: block;
	border-top:5px solid;
	border-top-color:#5ecfff;
	padding:0 0 20px 0;
	box-shadow: 0 2px 2px rgba(0,0,0,0.2);
}

.toc a{
	text-decoration:none;
}

.toc ul a{
	color:#555555;
	font-size: 16px;
	margin-right:20px;
}

.toc ul a:before{
	content: '';
	width: 5px;
	height: 5px;
	display: inline-block;
	border-radius: 100%;
	background: #555555;
	position: relative;
	left: -8px;
	top: -3px;
	
}

.article .toc ul{
	 list-style: none;
	   margin-bottom: 0;
	   padding-left: 20px;
}

.toc-title{
 text-align:left;
 margin-top:30px;
 padding-left: 20px;
 margin-bottom:30px;
 margin-right:20px;
}

.toc-title:before{
	font-family: FontAwesome;
	content : "\f0ca";
	font-size:18px;
	margin-right:5px;
	color:#FFF;
	background-color:#5ecfff;
	 border-radius: 50%;
 -webkit-border-radius: 50%;
 -moz-border-radius: 50%;
	padding:14px;
}

/*サイドバーのカテゴリーのカスタマイズ*/

.widget_categories ul li a{ /*親カテゴリー設定*/
  text-decoration: none; /*テキスト装飾無し*/
  color: #333; /*文字色*/
  font-size: 15px; /*フォントサイズ*/
  display: block; /*ブロックボックス生成*/
  padding: 4px 4px 2px 10px; /*上下左右空間*/
  border-bottom: 1px dashed #42c6ff; /*親カテゴリー下側にボーダーライン*/
}
.widget_categories ul li a::before{ /*親カテゴリーのアイコン設定*/
  font-family: FontAwesome;
  content: "\f0ac";
  color: #5ecfff;
  padding-right: 6px; /*アイコン右側空間*/
}
.widget_categories > ul > li > a:first-child{ 
  border-top: none; /*最初の親カテゴリー上側のボーダー削除*/
}

.widget_categories ul li ul li a{ /*子カテゴリー設定*/
  text-decoration: none; /*テキスト装飾無し*/
  color: #333; /*文字色*/
  display: block; /*ブロックボックス生成*/
  padding: 4px 4px 2px 10px; /*上下左右空間*/
  border-bottom: 1px dashed #5ecfff; /*子カテゴリー下側にボーダーライン*/
}
.widget_categories ul li ul li a::before{ /*子カテゴリーのアイコン*/
  font-family: FontAwesome;
  content: "\f15b";
  color: #5ecfff;
  padding: 0px 6px 0px 2px; /*アイコン右側空間*/
}

.widget_categories ul li a .post-count{ /*記事数設定*/
  display: inline-block; /*インラインボックス生成*/
  float: right; /*右寄せ配置*/
  margin-left: 8px; /*右側空間*/
  color: #fe619a; /*文字色*/
  background: #5ecfff; /*背景色*/
  font-weight: bold; /*強調フォント*/
  font-style: oblique; /*斜体フォント*/
  font-size: 12px; /*フォントサイズ*/
  white-space: nowrap; /*1つの空白にまとめて表示。折り返し無し。*/
  line-height: 1.1; /*行の高さ*/
  padding: 3px 10px; /*上下左右空白*/
  text-decoration: none; /*テキスト装飾無し*/
  border-radius: 2px; /*角丸コーナー*/
}

.widget_categories ul li a:hover{ /*マウスホバー時設定*/
  background: #d4f2ff; /*背景色*/
  color: #333; /*文字色*/
  transition: all 0.8s ease; /*アニメーション*/
}
.widget_categories ul li a:hover .post-count{ /*記事数のマウスホバー時設定*/
  background: #d4f2ff; /*背景色*/
  color: #fff; /*文字色*/
  transition: all 0.8s ease; /*アニメーション*/
}

/*サイドバーの見出しのカスタマイズ*/

.sidebar h3 {
    background: none;
    font-size: 16px;
    letter-spacing: 2px;
    display: inline-block;
    position: relative;
    width: 100%;
    padding: 0;
    text-align: center;
}
.sidebar h3::before, .sidebar h3::after {
    content: '';
    position: absolute;
    top: 50%;
    width: 28%; /*ラインの長さ*/
    border-top: 3px solid #42c6ff; /*ラインの色*/
}
.sidebar h3::before {
    left: 0;
}
.sidebar h3::after {
    right: 0;
}


/*画像の中央揃え*/
.entry-content img {
display: block;
margin: 0 auto 15px auto;
}

/*記事一覧の写真にあるカテゴリ表示の変更*/
.cat-label {
    top: 0;
    left: 10px;
    border: none;
    font-size: 12px;
    color: #fff;
    background-color: #5ecfff;
    padding: 1px 5px;
    margin: -6px 0 0 0;
    overflow: visible;
}
.cat-label::after { /*右上に小さな三角を作る*/
    position: absolute;
    content: '';
    top: 0;
    right: -6px;
    border: none;
    border-bottom: solid 6px #5ecfff; /*小さな三角の色*/
    border-right: solid 6px transparent;
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1240px以下*/
@media screen and (max-width: 1240px){
  /*必要ならばここにコードを書く*/
}

/*1030px以下*/
@media screen and (max-width: 1030px){
  /*必要ならばここにコードを書く*/
}

/*768px以下*/
@media screen and (max-width: 768px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}

/*タブレットで2〜3カラムを維持する*/
/*768px以下*/
@media screen and (max-width: 768px){
  .column-wrap{
    flex-direction: row;
  }
}

/*480px以下*/
@media screen and (max-width: 480px){
  .column-wrap{
    flex-direction: column;
  }
}